
#[derive(Default, Debug, Clone)]
pub struct Vertex2D {
    pub position: [f32; 2]
}

#[derive(Default, Debug, Clone)]
pub struct ColoredVertex2D {
    pub position: [f32; 2],
    pub color   : [f32; 4],
}

vulkano::impl_vertex!(ColoredVertex2D, position, color);
vulkano::impl_vertex!(Vertex2D, position);



impl From<(f32, f32)> for Vertex2D {
    fn from(item: (f32, f32)) -> Self {
        Vertex2D { position: [item.0, item.1] }
    }
}