
#[derive(Default, Debug, Clone)]
pub struct Vertex3D {
    position: [f32; 3]
}

#[derive(Default, Debug, Clone)]
pub struct ColoredVertex3D {
    position: [f32; 3],
    color   : [u8; 4],
}

vulkano::impl_vertex!(ColoredVertex3D, position, color);
vulkano::impl_vertex!(Vertex3D, position);

